//	WakeUpGlobalData.h - Global data.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2014  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef WAKEUPGLOBALDATA_H_
#define WAKEUPGLOBALDATA_H_

#include "GlobalData.h"

///	Global data.
class WakeUpGlobalData : public GlobalData
{
  public:
	///	Constructor.
	WakeUpGlobalData():
	playground(false)
	{

	};

	///	Sets the playground flag.
	void setPlayground(bool val)
	{
		playground = val;
	};
	///	Returns the playground flag.
	bool getPlayground() const {return playground;};
  private:
	///	Whether we're playing in the playground or not.
	bool playground;
};

#endif
